Bug 817339 - RHEVM - Backend: Domain remains in image locked when initializing DC with unreachable domain
RHEVM - Backend: Domain remains in image locked when initializing DC with unr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 04:50 EDT by Daniel Paikov
Modified: 2016-02-10 12:05 EST (History)
9 users (show)

See Also:
Fixed In Version: SI19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (24.99 KB, application/x-gzip)
2012-04-29 04:50 EDT, Daniel Paikov
no flags Details
logs and screen shot (427.71 KB, application/x-gzip)
2012-08-12 10:28 EDT, Dafna Ron
no flags Details

  None (edit)
Description Daniel Paikov 2012-04-29 04:50:43 EDT
Created attachment 581028 [details]
engine.log

* Create unreachable Unattached domain.
* Try to attach the domain to an Uninitialized DC.
* No events are shown that indicate that attach failed and DC wasn't initialized. DC remains in Uninitialized status, domain remains in Unattached status.
Comment 2 Daniel Erez 2012-07-17 07:55:44 EDT
commit 15954a7138de33f122910e4ecb81e582e5f5d612
Comment 3 Dafna Ron 2012-08-12 10:28:31 EDT
Created attachment 603787 [details]
logs and screen shot

tested in si13.2 - moving back to devel. 
I did get an error but there was no rollback.
the domain remains in image locked still attached to the pool. 
and I did refresh UI :)

attaching logs and screen shot
Comment 4 Daniel Erez 2012-09-19 05:25:26 EDT
patch sent upstream:
http://gerrit.ovirt.org/#/c/8042/
Comment 5 Allon Mureinik 2012-09-19 08:50:29 EDT
Merged change ID Iaac9ec848f23a230d57568fb15779037cb56ee77
Comment 6 Leonid Natapov 2012-10-02 07:48:20 EDT
SI19. Fixed. Getting the following error message: Error while executing action Attach Storage Domain: Domain is either partially accessible or entirely inaccessible.

domain is being removed after unsuccessful attempt to attach it.

Note You need to log in before you can comment on or make changes to this bug.